<?php
$host = "localhost";
$user = "root";
$password = "";
$db = "alcald5_noticias";
$con = new mysqli($host, $user, $password, $db);
$con->set_charset("utf8");

// Verificar si se envió el formulario
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Recuperar datos del formulario
    $nombre = $_POST["nombre"];
    $fecha = $_POST["fecha"];
    $idcat = $_POST["idcat"];
    $user = $_POST["user"];
    $describ = $_POST["describ"];
    $sector = $_POST["sector"];

    // Verificar si se cargó un archivo
    if(isset($_FILES['imagen']) && $_FILES['imagen']['error'] == 0) {
        // Obtener información del archivo
        $imagen_nombre = $_FILES['imagen']['name'];
        $imagen_tmp = $_FILES['imagen']['tmp_name'];
        $ruta_destino = "carpeta_destino/" . $imagen_nombre;

        // Mover el archivo a la carpeta de destino
        move_uploaded_file($imagen_tmp, $ruta_destino);

        // Preparar la consulta SQL para la inserción
        $sql = "INSERT INTO peliculas (nombre, fecha, ruta, idcat, user, descripcion,sector) VALUES ('$nombre', '$fecha', '$ruta_destino', '$idcat', '$user','$describ','$sector')";

        // Ejecutar la consulta
        if ($con->query($sql) === TRUE) {
            echo "Registro insertado con éxito.";
        } else {
            echo "Error al insertar el registro: " . $con->error;
        }
    } else {
        echo "Error al cargar la imagen.";
    }
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Formulario de Películas</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f4f4f4;
      color: #333;
      margin: 0;
      padding: 0;
    }

    .container {
      width: 50%;
      margin: 20px auto;
      background-color: #fff;
      padding: 20px;
      border-radius: 5px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }

    label {
      display: block;
      margin-bottom: 8px;
    }

    input, select {
      width: 100%;
      padding: 8px;
      margin-bottom: 15px;
      box-sizing: border-box;
    }

    button {
      background-color: #4caf50;
      color: white;
      padding: 10px 15px;
      border: none;
      border-radius: 3px;
      cursor: pointer;
    }
  </style>
</head>
<body>
  <div class="container">
    <h2>Formulario de Inserción de Películas</h2>
    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data">
      <label for="nombre">Nombre:</label>
      <input type="text" name="nombre" required>

      <label for="fecha">Fecha de lanzamiento:</label>
      <input type="date" name="fecha" required>

      <label for="imagen">Seleccionar imagen:</label>
      <input type="file" name="imagen" accept="image/*" required>

      <label for="describ">Descripcion:</label>
      <input type="text" name="describ" required>

      <label for="idcat">ID de categoría:</label>
      <input type="number" name="idcat" required>

      <label for="user">Usuario:</label>
      <input type="text" name="user" required>

      <label for="sector">Usuario:</label>
      <select name="sector" required>
         <option value="SALUD">SALUD</option>
         <option value="EDUCACION">EDUCACION</option>
         <option value="TRANSPORTE VIAL">TRANSPORTE VIAL</option>
         <option value="DEPORTES">DEPORTES</option>
         <option value="COMUNIDAD">COMUNIDAD</option>
         <option value="CULTURAL">CULTURAL</option>
         <option value="MEDIO AMBIENTE">MEDIO AMBIENTE</option>
         <option value="LIMPIEZA">LIMPIEZA</option>
         <option value="SEGURIDAD">SEGURIDAD</option>
      </select>
      <button type="submit">Insertar Película</button>
    </form>
  </div>
</body>
</html>
