<?php
include "conexion.php";

// Consulta para obtener todas las noticias ordenadas por fecha descendente
$sql = "SELECT * FROM peliculas ORDER BY fecha DESC";
$query = $con->query($sql);

// Comprobamos si la consulta fue exitosa
if ($query !== false) {
    $noticias = $query->fetch_all(MYSQLI_ASSOC);
} else {
    die("Error en la consulta: " . $con->error);
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
<style>
    body {
      font-family: Arial, sans-serif;
      margin-bottom: 100px
    }

    .noticia {
      margin-left:520px;
      margin-top:-283px;
      display: flex;
      height: 275px;
      width:1200px ;
      margin-right: 50px;
      border-bottom: 5px solid black;
      
    }

    .imagen {
      width: 500px;
      height: 280px;
      margin-top:60px;

    }

    .noticia-texto {
      text-align: right;
    }

    .noticia h2 {
      font-family: Arial, sans-serif;
      font-size: 30px;
      height: 100px;
      width:1080px ;
      margin-top: 10px;
      margin-left:50px;
      
    }

    .noticia h1 {
      text-align: justify;
      font-size: 20px;
      height: 100px;
      width:140px ;
      margin-top: 70px;
      margin-left: -1080px;
      font-family: Arial, sans-serif;
    }

    .noticia h3{
      text-align: justify;
      font-family: sans-serif;
      font-size: 150%;
      font-style: italic;
      height: 100px;
      width:1000px ;
      margin-top: 120px;
      margin-left: -140px;
      
    }

    .noticia h4{
      font-family: sans-serif;
      font-size: 150%;
      font-style: italic;
      height: 100px;
      width:500px ;
      margin-top: 220px;
      margin-left: -1000px;
      font-size: 17px;
      
      
    }
</style>
</head>
<body>
  <?php if (!empty($noticias)): ?>
    <?php foreach ($noticias as $noticia): ?>
      <div class="foto">
        <img src="<?php echo $noticia['ruta']; ?>" alt="Imagen de la película" class="imagen">
        
        <!-- Puedes agregar más campos según sea necesario -->
      </div>
      <div class="noticia">
        <h2><?php echo $noticia['nombre']; ?></h2>
        <h1><?php echo $noticia['fecha']; ?></h1>
        <h3><?php echo $noticia['descripcion']; ?></h3>
        <h4>Para el beneficio del sector: <?php echo $noticia['sector']; ?></h4>
      </div>
    <?php endforeach; ?>
  <?php else: ?>
    <p class="alert alert-danger">No hay noticias disponibles.</p>
  <?php endif; ?>

  <!-- Tus scripts JavaScript aquí si es necesario -->
  <!-- No olvides incluir jQuery si estás utilizando funciones de jQuery -->
</body>
</html>
